<Query Kind="Program">
  <Namespace>System.Collections.Concurrent</Namespace>
  <Namespace>System.IO.Compression</Namespace>
  <Namespace>System.Net</Namespace>
  <Namespace>System.Net.Http</Namespace>
  <Namespace>System.Threading.Tasks</Namespace>
</Query>

async Task Main() {
  // 檔案寫入和讀取
  var directoryPath = @"D:/mytemps";
  var fileName = "example.txt";
  var filePath = Path.Combine(directoryPath, fileName);
  
  try
  {
   // 非同步寫入檔案
   var myContent="這是呼叫File.WriteAllTextAsync非同步方法寫入的內容";
   await File.WriteAllTextAsync(filePath, myContent);
   Console.WriteLine("非同步寫入完成");
   
   // 非同步讀取檔案
   var content = await File.ReadAllTextAsync(filePath);
   Console.WriteLine($"非同步讀取檔案內容: {content}");
  }
  catch (IOException ex) {
    Console.WriteLine(ex.Message);
  }  
}


